﻿using System;
using System.Windows;

using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace BingTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            wpfMap.MapUnit = GeographyUnit.Meter;
            wpfMap.ZoomLevelSet = new BingMapsZoomLevelSet();

            var bingOverlay = new BingMapsOverlay("Key");
            bingOverlay.MapType = BingMapsMapType.Aerial;
            bingOverlay.TileType = TileType.MultipleTile;
            bingOverlay.TransitionEffect = TransitionEffect.Stretch;
            bingOverlay.DrawingExceptionMode = DrawingExceptionMode.DrawException;
            //Is never fired by BingOverlay. !ThinkGeo bug.
            bingOverlay.DrawingException += BingOverlay_DrawingException;
            bingOverlay.DrawnException += BingOverlay_DrawnException;


            wpfMap.Overlays.Add("BingLayer", bingOverlay);
        }

        private static void BingOverlay_DrawingException(object sender, DrawingExceptionTileOverlayEventArgs e)
        {
            throw new NotImplementedException();
        }

        private static void BingOverlay_DrawnException(object sender, DrawnExceptionTileOverlayEventArgs e)
        {
            throw new NotImplementedException();
        }
    }
}
